Package org.bukkit.event.block

# Class BlockMultiPlaceEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockPlaceEvent
org.bukkit.event.block.BlockMultiPlaceEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockMultiPlaceEvent extends BlockPlaceEvent
Fired when a single block placement action of a player triggers the creation of multiple blocks(e.g. placing a bed block). The block returned by `BlockPlaceEvent.getBlockPlaced()` and its related methods is the block where the placed block would exist if the placement only affected a single block.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockPlaceEvent

`canBuild, cancel, hand, itemInHand, placedAgainst, player, replacedBlockState`

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockMultiPlaceEvent(@NotNull List<BlockState> states, @NotNull Block clicked, @NotNull ItemStack itemInHand, @NotNull Player thePlayer, boolean canBuild)`
Deprecated.
`BlockMultiPlaceEvent(@NotNull List<BlockState> states, @NotNull Block clicked, @NotNull ItemStack itemInHand, @NotNull Player thePlayer, boolean canBuild, EquipmentSlot hand)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<BlockState>`
`getReplacedBlockStates()`
Gets a list of blockstates for all blocks which were replaced by the placement of the new blocks.

### Methods inherited from class org.bukkit.event.block.BlockPlaceEvent

`canBuild, getBlockAgainst, getBlockPlaced, getBlockReplacedState, getHand, getHandlerList, getHandlers, getItemInHand, getPlayer, isCancelled, setBuild, setCancelled`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockMultiPlaceEvent

@Deprecated public BlockMultiPlaceEvent(@NotNull @NotNull List<BlockState> states, @NotNull @NotNull Block clicked, @NotNull @NotNull ItemStack itemInHand, @NotNull @NotNull Player thePlayer, boolean canBuild)
Deprecated.

### BlockMultiPlaceEvent

public BlockMultiPlaceEvent(@NotNull @NotNull List<BlockState> states, @NotNull @NotNull Block clicked, @NotNull @NotNull ItemStack itemInHand, @NotNull @NotNull Player thePlayer, boolean canBuild, @NotNull EquipmentSlot hand)

## Method Details

### getReplacedBlockStates

@NotNull public @NotNull List<BlockState> getReplacedBlockStates()
Gets a list of blockstates for all blocks which were replaced by the placement of the new blocks. Most of these blocks will just have a Material type of AIR.

Returns:
  immutable list of replaced BlockStates